package models

type Org struct {
	Id              int64  `gorm:"PRIMARY_KEY;AUTO_INCREMENT" json:"id"` // 机构 ID
	Creator         int64  `json:"creator"`                              // 创建者，即管理员用户的 id
	OrgName         string `gorm:"column:org_name" json:"org_name"`
	OrgShortName    string `gorm:"column:org_short_name" json:"org_short_name"` // 简称
	OrgLogo         string `gorm:"column:org_logo" json:"org_logo"`
	OrgIntroduction string `gorm:"column:org_introduction" json:"org_introduction"`
	Province        int64  `json:"province"` // 省，代号，下面的市、区也一样
	City            int64  `json:"city"`
	District        int64  `json:"district"`
	Address         string `json:"address"`                   // 详细地址
	Illness         string `json:"illness"`                   // 服务病种 多个并用“,”隔开
	Status          int8   `json:"status"`                    // 状态 0.无效 1.有效 2.禁用
	CreateTime      int64  `gorm:"column:ctime" json:"ctime"` // 创建时间
	ModifyTime      int64  `gorm:"column:mtime" json:"mtime"` // 修改时间
}

func (Org) TableName() string {
	return "sgj_user_org"
}

type OrgApp struct {
	Id         int64 `gorm:"PRIMARY_KEY;AUTO_INCREMENT" json:"id"` // ID
	AppType    int   `gorm:"column:app_type" json:"app_type"`      // 应用类型 1.病友经营；2.科普号；3.血透经营；4.慢病管理
	Creator    int   `json:"creator"`                              // 创建者，即管理员用户的 id
	OrgId      int   `gorm:"column:org_id" json:"org_id"`
	Status     int8  `json:"status"`                    // 状态 0.无效 1.有效 2.禁用
	CreateTime int64 `gorm:"column:ctime" json:"ctime"` // 创建时间
	ModifyTime int64 `gorm:"column:mtime" json:"mtime"` // 修改时间
}

func (OrgApp) TableName() string {
	return "sgj_user_org_app"
}

type OrgBan struct {
	ID      int64  `gorm:"column:id" json:"id"`
	OrgId   int64  `gorm:"column:org_id" json:"org_id"`
	Reason  string `gorm:"column:reason" json:"reason"`
	Ctime   int64  `gorm:"column:ctime" json:"ctime"`
	BanTime int64  `gorm:"column:ban_time" json:"ban_time"`
	Status  int64  `gorm:"column:status" json:"status"`
	Mtime   int64  `gorm:"column:mtime" json:"mtime"`
}

func (OrgBan) TableName() string {
	return "sgj_user_admin_org_ban"
}
